"""
Not really tests, because I don't know how to testt without a whole matrix server.
"""

import asyncio
import logging
import os
from dotenv import load_dotenv
from matrix_bot.client import Client
from matrix_bot.invite_policy import (
    AcceptAll,
    DeclineAll,
    WhiteList
)
from getpass import getpass

logging.basicConfig(format="%(levelname)s: %(message)s", level=logging.DEBUG)

async def main():
    load_dotenv()
    client = await Client(
        os.environ["MUSER"],
        os.environ["HOMESERVER"],
        os.environ["PASSWD"],
    )
    withelisted_room_names = os.environ["ROOMS"].split(",")
    whitelist_policy = await WhiteList(client, withelisted_room_names)
    room_name = withelisted_room_names[0]
    client.set_invite_policy(whitelist_policy)
    await client.send_message(room_name, "Beware of Greeks bearing gifts")
    await client.run()



if __name__ == "__main__":
    asyncio.run(main())

